# Update existing enrichment workflow definition Endpoint: PUT /enrichment-workflows/{workflowId} Version: 2.68.0 Security: OAuth2 ## Path parameters: - `workflowId` (string, required) ID of the workflow to be updated ## Request fields (application/json): - `name` (string, required) Name of the workflow - `definition` (string, required) YAML definition of the workflow - `description` (string) - `projectIds` (array) ## Response 200 fields (application/json): - `id` (string, required) Unique ID of the workflow definition - `name` (string, required) Name of the workflow - `description` (string) - `companyId` (string) - `createdAt` (string) - `updatedAt` (string) - `definition` (string, required) YAML definition of the workflow - `projectIds` (array) - `version` (integer) - `versionString` (string) - `updatedBy` (string) - `createdById` (string) - `updatedById` (string) ## Response 400 fields (application/json): - `type` (string, required) - `title` (string, required) - `status` (integer, required) - `detail` (string) - `instance` (string) ## Response 404 fields (application/json): - `type` (string, required) - `title` (string, required) - `status` (integer, required) - `detail` (string) - `instance` (string) ## Response 401 fields ## Response 403 fields ## Response 429 fields